## TumblerFileInfo

TumblerFileInfo

## Functions

TumblerFileInfo * | tumbler_file_info_new ()
gboolean | tumbler_file_info_load ()
const gchar * | tumbler_file_info_get_uri ()
const gchar * | tumbler_file_info_get_mime_type ()
gdouble | tumbler_file_info_get_mtime ()
gboolean | tumbler_file_info_needs_update ()
TumblerThumbnail * | tumbler_file_info_get_thumbnail ()
TumblerFileInfo ** | tumbler_file_info_array_new_with_flavor ()
TumblerFileInfo ** | tumbler_file_info_array_copy ()
void | tumbler_file_info_array_free ()

## Properties

TumblerThumbnailFlavor * | flavor | Read / Write / Construct Only
char * | mime-type | Read / Write / Construct Only
double | mtime | Read
char * | uri | Read / Write / Construct Only

## Types and Values

| TumblerFileInfo

## Object Hierarchy

        GObject
        ╰── TumblerFileInfo

## Description

## Functions

### tumbler_file_info_new ()

    TumblerFileInfo *
    tumbler_file_info_new (const gchar *uri,
                           const gchar *mime_type,
                           TumblerThumbnailFlavor *flavor);

### tumbler_file_info_load ()

    gboolean
    tumbler_file_info_load (TumblerFileInfo *info,
                            GCancellable *cancellable,
                            GError **error);

### tumbler_file_info_get_uri ()

    const gchar *
    tumbler_file_info_get_uri (TumblerFileInfo *info);

### tumbler_file_info_get_mime_type ()

    const gchar *
    tumbler_file_info_get_mime_type (TumblerFileInfo *info);

### tumbler_file_info_get_mtime ()

    gdouble
    tumbler_file_info_get_mtime (TumblerFileInfo *info);

### tumbler_file_info_needs_update ()

    gboolean
    tumbler_file_info_needs_update (TumblerFileInfo *info);

### tumbler_file_info_get_thumbnail ()

    TumblerThumbnail *
    tumbler_file_info_get_thumbnail (TumblerFileInfo *info);

### tumbler_file_info_array_new_with_flavor ()

    TumblerFileInfo **
    tumbler_file_info_array_new_with_flavor
                                   (const gchar *const *uris,
                                    const gchar *const *mime_types,
                                    TumblerThumbnailFlavor *flavor,
                                    guint *length);

### tumbler_file_info_array_copy ()

    TumblerFileInfo **
    tumbler_file_info_array_copy (TumblerFileInfo **infos,
                                  guint length);

### tumbler_file_info_array_free ()

    void
    tumbler_file_info_array_free (TumblerFileInfo **infos);

## Types and Values

### TumblerFileInfo

    typedef struct _TumblerFileInfo TumblerFileInfo;

## Property Details

### The `“flavor”` property

      “flavor”                   TumblerThumbnailFlavor *

flavor.

Owner: TumblerFileInfo

Flags: Read / Write / Construct Only

### The `“mime-type”` property

      “mime-type”                char *

mime-type.

Owner: TumblerFileInfo

Flags: Read / Write / Construct Only

Default value: NULL

### The `“mtime”` property

      “mtime”                    double

mtime.

Owner: TumblerFileInfo

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“uri”` property

      “uri”                      char *

uri.

Owner: TumblerFileInfo

Flags: Read / Write / Construct Only

Default value: NULL